aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar David Leverton <levertond@googlemail.com> 2008-08-21 18:17:12 +0100
committerAvatar David Leverton <levertond@googlemail.com> 2008-08-23 16:16:18 +0100
commit7c34d224c099b6e95fdd448e477f9a935fa3e5fb (patch)
tree237851c09740d8ca84be22202429f179312d563b
parent215ad970b4f7dd877902e4fba327a4aee34a53b1 (diff)
downloadpaludis-7c34d224c099b6e95fdd448e477f9a935fa3e5fb.tar.gz
paludis-7c34d224c099b6e95fdd448e477f9a935fa3e5fb.tar.xz
S -> WORK for exheres.
-rwxr-xr-xpaludis/repositories/e/e_repository_TEST_setup.sh12
-rw-r--r--paludis/repositories/e/eapis/pbin-1+exheres-0.conf2
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/builtin_init.bash2
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/src_compile.bash4
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/src_configure.bash4
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/src_install.bash4
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/src_prepare.bash4
-rw-r--r--paludis/repositories/e/ebuild/exheres-0/src_test.bash4
8 files changed, 18 insertions, 18 deletions
diff --git a/paludis/repositories/e/e_repository_TEST_setup.sh b/paludis/repositories/e/e_repository_TEST_setup.sh
index 9b7a571..5ca46f6 100755
--- a/paludis/repositories/e/e_repository_TEST_setup.sh
+++ b/paludis/repositories/e/e_repository_TEST_setup.sh
@@ -1952,9 +1952,9 @@ LICENCES="GPL-2"
PLATFORMS="test"
src_unpack() {
- mkdir ${S}
- echo "#!/bin/bash" > ${S}/configure
- chmod +x ${S}/configure
+ mkdir ${WORK}
+ echo "#!/bin/bash" > ${WORK}/configure
+ chmod +x ${WORK}/configure
}
src_compile() {
@@ -1978,8 +1978,8 @@ DEFAULT_SRC_CONFIGURE_OPTION_ENABLES=( enabled-hamster gerbil )
DEFAULT_SRC_CONFIGURE_OPTION_WITHS=( dormouse )
src_unpack() {
- mkdir ${S}
- cat <<'END2' > ${S}/configure
+ mkdir ${WORK}
+ cat <<'END2' > ${WORK}/configure
#!/usr/bin/env bash
echo "${@}" | grep -q -- '--enable-enabled-hamster' || exit 1
echo "${@}" | grep -q -- '--disable-gerbil' || exit 2
@@ -1987,7 +1987,7 @@ echo "${@}" | grep -q -- '--nice-juicy-steak' || exit 3
echo "${@}" | grep -q -- '--without-dormouse' || exit 4
true
END2
- chmod +x ${S}/configure
+ chmod +x ${WORK}/configure
}
END
mkdir -p "packages/cat/expand-vars"
diff --git a/paludis/repositories/e/eapis/pbin-1+exheres-0.conf b/paludis/repositories/e/eapis/pbin-1+exheres-0.conf
index b080f92..8c5587d 100644
--- a/paludis/repositories/e/eapis/pbin-1+exheres-0.conf
+++ b/paludis/repositories/e/eapis/pbin-1+exheres-0.conf
@@ -8,7 +8,7 @@ ebuild_module_suffixes = pbin-1 ${ebuild_module_suffixes}
merge_rewrite_symlinks = true
ignore_pivot_env_variables = \
- A S D WORKBASE IMAGE
+ A WORK D WORKBASE IMAGE
ignore_pivot_env_functions = \
src_unpack src_compile src_test src_install
diff --git a/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash b/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
index 25ff23e..0e0a66d 100644
--- a/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/builtin_init.bash
@@ -77,7 +77,7 @@ builtin_init()
export IMAGE="${D}"
declare -r IMAGE="${IMAGE}"
- export S="${WORKBASE}/${P}"
+ export WORK="${WORKBASE}/${P}"
if [[ "${EBUILD}" != "-" ]] ; then
ebuild_load_ebuild "${EBUILD}"
diff --git a/paludis/repositories/e/ebuild/exheres-0/src_compile.bash b/paludis/repositories/e/ebuild/exheres-0/src_compile.bash
index 373558b..d0a6866 100644
--- a/paludis/repositories/e/ebuild/exheres-0/src_compile.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/src_compile.bash
@@ -34,8 +34,8 @@ src_compile()
exheres_internal_compile()
{
- if [[ -d "${S}" ]] ; then
- cd "${S}" || die "cd to \${S} (\"${S}\") failed"
+ if [[ -d "${WORK}" ]] ; then
+ cd "${WORK}" || die "cd to \${WORK} (\"${WORK}\") failed"
elif [[ -d "${WORKBASE}" ]] ; then
cd "${WORKBASE}" || die "cd to \${WORKBASE} (\"${WORKBASE}\") failed"
fi
diff --git a/paludis/repositories/e/ebuild/exheres-0/src_configure.bash b/paludis/repositories/e/ebuild/exheres-0/src_configure.bash
index 448f719..a595f10 100644
--- a/paludis/repositories/e/ebuild/exheres-0/src_configure.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/src_configure.bash
@@ -41,8 +41,8 @@ src_configure()
exheres_internal_configure()
{
- if [[ -d "${S}" ]] ; then
- cd "${S}" || die "cd to \${S} (\"${S}\") failed"
+ if [[ -d "${WORK}" ]] ; then
+ cd "${WORK}" || die "cd to \${WORK} (\"${WORK}\") failed"
elif [[ -d "${WORKBASE}" ]] ; then
cd "${WORKBASE}" || die "cd to \${WORKBASE} (\"${WORKBASE}\") failed"
fi
diff --git a/paludis/repositories/e/ebuild/exheres-0/src_install.bash b/paludis/repositories/e/ebuild/exheres-0/src_install.bash
index 0902406..daf1e20 100644
--- a/paludis/repositories/e/ebuild/exheres-0/src_install.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/src_install.bash
@@ -78,8 +78,8 @@ src_install()
exheres_internal_install()
{
- if [[ -d "${S}" ]] ; then
- cd "${S}" || die "cd to \${S} (\"${S}\") failed"
+ if [[ -d "${WORK}" ]] ; then
+ cd "${WORK}" || die "cd to \${WORK} (\"${WORK}\") failed"
elif [[ -d "${WORKBASE}" ]] ; then
cd "${WORKBASE}" || die "cd to \${WORKBASE} (\"${WORKBASE}\") failed"
fi
diff --git a/paludis/repositories/e/ebuild/exheres-0/src_prepare.bash b/paludis/repositories/e/ebuild/exheres-0/src_prepare.bash
index b2057f9..fcf303c 100644
--- a/paludis/repositories/e/ebuild/exheres-0/src_prepare.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/src_prepare.bash
@@ -34,8 +34,8 @@ src_prepare()
exheres_internal_prepare()
{
- if [[ -d "${S}" ]] ; then
- cd "${S}" || die "cd to \${S} (\"${S}\") failed"
+ if [[ -d "${WORK}" ]] ; then
+ cd "${WORK}" || die "cd to \${WORK} (\"${WORK}\") failed"
elif [[ -d "${WORKBASE}" ]] ; then
cd "${WORKBASE}" || die "cd to \${WORKBASE} (\"${WORKBASE}\") failed"
fi
diff --git a/paludis/repositories/e/ebuild/exheres-0/src_test.bash b/paludis/repositories/e/ebuild/exheres-0/src_test.bash
index 961441e..a4263e8 100644
--- a/paludis/repositories/e/ebuild/exheres-0/src_test.bash
+++ b/paludis/repositories/e/ebuild/exheres-0/src_test.bash
@@ -50,8 +50,8 @@ exheres_internal_test()
local save_PALUDIS_EXTRA_DIE_MESSAGE="${PALUDIS_EXTRA_DIE_MESSAGE}"
- if [[ -d "${S}" ]] ; then
- cd "${S}" || die "cd to \${S} (\"${S}\") failed"
+ if [[ -d "${WORK}" ]] ; then
+ cd "${WORK}" || die "cd to \${WORK} (\"${WORK}\") failed"
elif [[ -d "${WORKBASE}" ]] ; then
cd "${WORKBASE}" || die "cd to \${WORKBASE} (\"${WORKBASE}\") failed"
fi